```@meta
CurrentModule = NamedTrajectories
```

# NamedTrajectories.jl

[NamedTrajectories.jl](https://github.com/aarontrowbridge/NamedTrajectories.jl) is designed to solve several problems encountered when solving trajectory optimization problems. Specifically, it aims to:

- Abstract away messy indexing and vectorization details required for interfacing with numerical solvers.
- Easily handle multiple trajectories with different names, e.g. various states and controls.
- Simple plotting of trajectories.
- Provide a variety of helpful methods for common tasks.

```@index
```

```@autodocs
Modules = [NamedTrajectories]
```

